com.taosdata.jdbc.enums

## Class TimestampPrecision

- java.lang.Object
- - com.taosdata.jdbc.enums.TimestampPrecision

    public class TimestampPrecision
    extends Object

### Field Summary

Fields
`static int` `MS`
`static int` `NS`
`static int` `UNKNOWN`
`static int` `US`

### Constructor Summary

Constructors
Constructor and Description
`TimestampPrecision()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getPrecision(String precision)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MS

    public static final int MS

See Also:
  Constant Field Values

#### US

    public static final int US

See Also:
  Constant Field Values

#### NS

    public static final int NS

See Also:
  Constant Field Values

#### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### Constructor Detail

#### TimestampPrecision

    public TimestampPrecision()

### Method Detail

#### getPrecision

    public static int getPrecision(String precision)